Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum

    java.lang.Object
      java.lang.Enum<MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum>

Enclosing class:
  MediaScreenParameters.Viability.FloatingWindowParameters

    public static enum MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum

extends Enum<MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum>

Enum Constant Summary
`Center` Center.
`CenterLeft` Center left.
`CenterRight` Center right.
`LowerCenter` Lower center.
`LowerLeft` Lower-left corner.
`LowerRight` Lower-right corner.
`UpperCenter` Upper center.
`UpperLeft` Upper-left corner.
`UpperRight` Upper-right corner.

Method Summary
`PdfInteger` | `getCode()`
`static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum` | `valueOf(PdfInteger code)`
`static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UpperLeft

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum UpperLeft

  Upper-left corner.

### UpperCenter

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum UpperCenter

  Upper center.

### UpperRight

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum UpperRight

  Upper-right corner.

### CenterLeft

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum CenterLeft

  Center left.

### Center

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum Center

  Center.

### CenterRight

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum CenterRight

  Center right.

### LowerLeft

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum LowerLeft

  Lower-left corner.

### LowerCenter

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum LowerCenter

  Lower center.

### LowerRight

    public static final MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum LowerRight

  Lower-right corner.

Method Detail

### values

    public static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum c : MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.